Package: groovy.xml

## [Groovy] Class StreamingSAXBuilder

- groovy.xml.StreamingSAXBuilder

-     @SuppressWarnings(value="Instanceof")
      class StreamingSAXBuilder
      extends AbstractStreamingBuilder

  A streaming builder that turns Groovy builder calls into SAX events for XML generation.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `builder` Backing namespace-aware builder reused for each bind(Closure) call.
    `Object` | `commentClosure` Closure backing `mkp.comment` for SAX handlers supporting lexical events.
    `Object` | `noopClosure` Closure backing `mkp.yield` and `mkp.yieldUnescaped` for SAX text output.
    `Object` | `pendingStack` Stack of namespace declarations deferred while nested SAX elements are processed.
    `Object` | `piClosure` Closure backing `mkp.pi` for emitting processing instructions.
    `Object` | `tagClosure` Default element-emitting closure used for ordinary SAX builder nodes.

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class AbstractStreamingBuilder` | `aliasSetupClosure, badTagClosure, builder, checkCommentText, checkProcessingInstruction, getNamespaceClosure, namespaceSetupClosure, specialTags, toMapStringClosure`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingSAXBuilder()` Creates a SAX-oriented builder with the standard `mkp` helper tags installed.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `bind(Object closure)` Binds a markup closure for later emission to a SAX content handler.

- - ### Property Detail

    - #### Object builder

      Backing namespace-aware builder reused for each bind(Closure) call.

    - #### Object commentClosure

      Closure backing `mkp.comment` for SAX handlers supporting lexical events.

    - #### Object noopClosure

      Closure backing `mkp.yield` and `mkp.yieldUnescaped` for SAX text output.

    - #### Object pendingStack

      Stack of namespace declarations deferred while nested SAX elements are processed.

    - #### Object piClosure

      Closure backing `mkp.pi` for emitting processing instructions.

    - #### Object tagClosure

      Default element-emitting closure used for ordinary SAX builder nodes.

  - ### Constructor Detail

    - #### StreamingSAXBuilder()

      Creates a SAX-oriented builder with the standard `mkp` helper tags installed.

  - ### Method Detail

    - #### Object bind(Object closure)

      Binds a markup closure for later emission to a SAX content handler.

      Parameters:
        `closure` - closure describing the XML to generate
      Returns:
        a closure that writes the generated XML to the supplied content handler